/* $Id: ImageVP.h,v 1.1 1995/02/22 05:24:29 cwikla Exp $ */
/*
 * Copyright 1995 John L. Cwikla
 *
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee,
 * provided that the above copyright notice appears in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of John L. Cwikla or
 * Wolfram Research, Inc not be used in advertising or publicity
 * pertaining to distribution of the software without specific, written
 * prior permission.    John L. Cwikla and Wolfram Research, Inc make no
 * representations about the suitability of this software for any
 * purpose. It is provided "as is" without express or implied warranty.
 *
 * John L. Cwikla and Wolfram Research, Inc disclaim all warranties with
 * regard to this software, including all implied warranties of
 * merchantability and fitness, in no event shall John L. Cwikla or
 * Wolfram Research, Inc be liable for any special, indirect or
 * consequential damages or any damages whatsoever resulting from loss of
 * use, data or profits, whether in an action of contract, negligence or
 * other tortious action, arising out of or in connection with the use or
 * performance of this software.
 *
 * Author:
 *  John L. Cwikla
 *  X Programmer
 *  Wolfram Research Inc.
 *
 *  cwikla@wri.com
*/


#ifndef _ImageVP_h
#define _ImageVP_h

#include "ImageV.h"

typedef struct _IVPicture
{
	unsigned char type;
	Pixmap pixmap;
	XImage *ximage;
} IVPicture;

typedef struct _ImageViewPart
{
	GC gc;
	IVPicture picture;
	IVPicture internalPicture;
	Boolean saveMemory;
	Boolean internalMemorySave;
	unsigned int imageWidth, imageHeight;
	double wScale, hScale;
} ImageViewPart, *ImageViewPartPtr;

typedef struct _ImageViewRec
{
	CorePart core;
#if MOTIF
	XmPrimitivePart primitive;
#endif /* MOTIF */
	ImageViewPart image_view;
} ImageViewRec, *ImageViewPtr;

typedef struct _ImageViewClassPart
{
	int empty;
} ImageViewClassPart;

typedef struct _ImageViewClassRec
{
	CoreClassPart core_class;	
#if MOTIF
	XmPrimitiveClassPart primitive_class;
#endif /* MOTIF */
	ImageViewClassPart image_view_class;
} ImageViewClassRec, *ImageViewClassPtr;

extern ImageViewClassRec image_viewClassRec;

#endif /* _ImageViewP_h */
